Search documentation of stripe_elixir

# StripeElixir.Services.Sigma.ScheduledQueryRunService (stripe_elixir v0.1.0)

Copy Markdown View Source

ScheduledQueryRun

If you have scheduled a Sigma query, you'll receive a `sigma.scheduled_query_run.created` webhook each time the query runs. The webhook contains a `ScheduledQueryRun` object, which you can use to retrieve the query results.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all scheduled query runs

retrieve(client, scheduled_query_run, params \\ %{}, opts \\ [])

Retrieve a scheduled query run

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all scheduled query runs

Returns a list of scheduled query runs.

# retrieve(client, scheduled_query_run, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a scheduled query run

Retrieves the details of an scheduled query run.